%define beta	0
%define rel	2

Name:		krusader
Epoch:		3
Version:	2.9.0
%if %beta
Release:	%mkrel -c beta%{beta} %{rel}
%else
Release:	%mkrel %{rel}
%endif
Summary:	Advanced KDE twin-panel file-manager
License:	GPLv2+
Group:		File tools
URL:		https://krusader.org/
%if %beta
Source0:	https://download.kde.org/unstable/krusader/%{version}/%{name}-%{version}.tar.xz
%else
Source0:	https://download.kde.org/stable/krusader/%{version}/%{name}-%{version}.tar.xz
%endif

# Mageia patches 500->600

BuildRequires:	kf6-rpm-macros

BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6Core5Compat)

BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Bookmarks)
BuildRequires:	cmake(KF6Codecs)
BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6GlobalAccel)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6ItemViews)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6Parts)
BuildRequires:	cmake(KF6Solid)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6Wallet)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6GuiAddons)
BuildRequires:	cmake(KF6StatusNotifierItem)

BuildRequires:	pkgconfig(bzip2)

Recommends:	zip
Recommends:	unzip
Recommends:	p7zip
Recommends:	krename

Requires:	kio
Requires:	kded
Requires:	kdesu

%description
Krusader is an advanced twin panel (commander style) file manager
for KDE and other desktops in the *nix world, similar to Midnight or
Total Commander. It provides all the file management features you
could possibly want.

Plus: extensive archive handling, mounted filesystem support, FTP,
advanced search module, an internal viewer/editor, directory
synchronisation, file content comparisons, powerful batch renaming
and much much more. It supports a wide variety of archive formats
and can handle other KIO slaves such as smb or fish.

%files -f %{name}.lang
%doc README AUTHORS ChangeLog TODO
%license LICENSES/*
%{_kf6_sysconfdir}/xdg/kio_isorc
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}*.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/%{name}/
%{_kf6_datadir}/kxmlgui5/%{name}/
%{_kf6_iconsdir}/hicolor/*/apps/%{name}*.png
%{_kf6_plugindir}/kio/*.so
%{_kf6_mandir}/man1/%{name}.1*

#--------------------------------------------------------------------

%prep
%if %beta
%setup -q -n %{name}-%{version}-beta%{beta}
%else
%autosetup -p1
%endif

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --with-man


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 3:2.9.0-2.mga10
+ Revision: 2233474
- Mageia 10 Mass Rebuild

* Wed Jan 01 2025 daviddavid <daviddavid> 3:2.9.0-1.mga10
+ Revision: 2134659
- new version: 2.9.0
- switch to Qt6/KF6

* Tue Mar 12 2024 daviddavid <daviddavid> 3:2.8.1-1.mga10
+ Revision: 2049423
- new version: 2.8.1

* Thu Nov 24 2022 daviddavid <daviddavid> 3:2.8.0-1.mga9
+ Revision: 1910855
- new version: 2.8.0

* Wed Apr 06 2022 umeabot <umeabot> 3:2.7.2-5.mga9
+ Revision: 1846089
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 3:2.7.2-4.mga8
+ Revision: 1658811
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 3:2.7.2-3.mga8
+ Revision: 1588491
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 3:2.7.2-2.mga8
+ Revision: 1528669
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Aug 26 2019 daviddavid <daviddavid> 3:2.7.2-1.mga8
+ Revision: 1432440
- new version: 2.7.2

* Sun Mar 31 2019 umeabot <umeabot> 3:2.7.1-4.mga7
+ Revision: 1382845
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3:2.7.1-3.mga7
+ Revision: 1298656
- Mageia 7 Mass Rebuild

* Mon Aug 13 2018 daviddavid <daviddavid> 3:2.7.1-2.mga7
+ Revision: 1251281
- new version: 2.7.1

* Thu Jul 05 2018 daviddavid <daviddavid> 3:2.7.0-2.mga7
+ Revision: 1241780
- remove kdiff3 as recommended pkg as it is a Qt4 app

* Wed May 16 2018 daviddavid <daviddavid> 3:2.7.0-1.mga7
+ Revision: 1229782
- new version: 2.7.0

* Sun Jul 02 2017 ghibo <ghibo> 3:2.6.0-1.mga6
+ Revision: 1108914
- Remove Patch1 (merged upstream).
- Update to release 2.6.0.

* Tue Dec 27 2016 neoclust <neoclust> 3:2.5.0-2.mga6
+ Revision: 1078378
- Add default requires ( mga#19737)

* Sun Oct 23 2016 daviddavid <daviddavid> 3:2.5.0-1.mga6
+ Revision: 1063271
- new version: 2.5.0 Final
- port to Qt5/Kf5
- update URL and Source URL

* Sun Mar 20 2016 luigiwalser <luigiwalser> 3:2.4.0-0.beta3.7.mga6
+ Revision: 993369
- drop invalid dep katepart

* Mon Feb 08 2016 umeabot <umeabot> 3:2.4.0-0.beta3.6.mga6
+ Revision: 946202
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3:2.4.0-0.beta3.5.mga5
+ Revision: 744966
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3:2.4.0-0.beta3.4.mga5
+ Revision: 681203
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 3:2.4.0-0.beta3.3.mga4
+ Revision: 506754
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3:2.4.0-0.beta3.2.mga3
+ Revision: 356470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 anssi <anssi> 3:2.4.0-0.beta3.1.mga3
+ Revision: 343624
- new beta version 2.4.0-beta3 (stable 2.0.0 is over 3 years old,
  needs several patches to build on current toolchain, and does
  not build with current KDE, and other distros have also moved on)
- drop all patches, fixed upstream
- add patches from Fedora:
  o several krarc mimetype fixes (default-mimetypes.patch)
  o generate manpage (generate-manpage.patch)
  o fix a crash issue related to video preview (kde#309159.patch)

* Tue Apr 03 2012 anssi <anssi> 3:2.0.0-7.mga2
+ Revision: 228212
- require katepart, needed for the internal editor (reported by ryoshu)

* Tue Dec 06 2011 anssi <anssi> 3:2.0.0-6.mga2
+ Revision: 177266
- fix krusader to properly find kdesu (use-kstandarddirs-findexe.patch,
  submitted upstream)
- fix build with gcc 4.6 (gcc46.patch)
- fix linking (link against -lsolid, link-solid.patch)
- add runtime dependency on kdebase4-runtime and optional dependencies
  on zip, unzip, p7zip, kdiff3, krename (bug #3601)

* Tue Apr 19 2011 ahmad <ahmad> 3:2.0.0-5.mga1
+ Revision: 88111
- Add a patch to fix how kdesu is invoked (it needs -c to execute a command as
  one string), upstream bug https://bugs.kde.org/show_bug.cgi?id=271264

* Thu Apr 07 2011 obgr_seneca <obgr_seneca> 3:2.0.0-4.mga1
+ Revision: 81911
- cleaned up spec file
- removed buildroot tag
+ anssi <anssi>
- remove old scripts
- imported package krusader


* Tue Dec 07 2010 Funda Wang <fwang@mandriva.org> 3:2.0.0-3mdv2011.0
+ Revision: 613595
- fix build

* Wed Apr 21 2010 Anssi Hannula <anssi@mandriva.org> 3:2.0.0-3mdv2010.1
+ Revision: 537283
- fix crash caused by a race condition when a file is removed
  immediately after its creation (KDE #229489)

* Sun Jul 26 2009 Anssi Hannula <anssi@mandriva.org> 3:2.0.0-2mdv2010.0
+ Revision: 399886
- fix wrongly widening window width on long paths (fixes krusader
  bug #2793916, svn987282-fix-window-width.patch from upstream SVN)
- fix missing include (missing-include.patch, fixes build)

* Sun Apr 12 2009 Funda Wang <fwang@mandriva.org> 3:2.0.0-1mdv2009.1
+ Revision: 366485
- New version 2.0.0

* Sun Mar 22 2009 Funda Wang <fwang@mandriva.org> 3:2.0-0.svn6249.1mdv2009.1
+ Revision: 360124
- new snapshot

* Tue Nov 18 2008 Funda Wang <fwang@mandriva.org> 3:2.0-0.svn6117.1mdv2009.1
+ Revision: 304160
- new snapshot

* Thu Sep 25 2008 Funda Wang <fwang@mandriva.org> 3:2.0-0.svn6088.1mdv2009.0
+ Revision: 288172
- New svn snapshot

* Sun Sep 07 2008 Funda Wang <fwang@mandriva.org> 3:2.0-0.svn6078.1mdv2009.0
+ Revision: 282303
- New snapshot 6078

* Tue Aug 26 2008 Funda Wang <fwang@mandriva.org> 3:2.0-0.svn6074.1mdv2009.0
+ Revision: 276090
- New svn snapshot 6074
- patch0 merged upstream

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 3:2.0-0.svn6065.2mdv2009.0
+ Revision: 275635
- do not require kde3 stuffs

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 3:2.0-0.svn6065.1mdv2009.0
+ Revision: 275634
- build module as static lib
- New snapshot
- partial fix of underlink

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Reupload because of a missing binary
    - Use kde4 layout on spec file

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu May 29 2008 Anssi Hannula <anssi@mandriva.org> 3:2.0-0.svn6014.1mdv2009.0
+ Revision: 212845
- new snapshot

* Sun May 04 2008 Anssi Hannula <anssi@mandriva.org> 3:2.0-0.svn2779.1mdv2009.0
+ Revision: 200809
- new snapshot from KDE4 branch

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 3:1.90.0-1mdv2009.0
+ Revision: 197851
- new version
- versionize obsoletes
- buildrequires acl-devel
- require kdelibs-common for crystalsvg for rpm scripts

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3:1.80.0-2mdv2008.1
+ Revision: 140918
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 25 2007 Anssi Hannula <anssi@mandriva.org> 3:1.80.0-2mdv2008.0
+ Revision: 71406
- rebuild for new kdelibs

* Wed Jul 25 2007 Anssi Hannula <anssi@mandriva.org> 3:1.80.0-1mdv2008.0
+ Revision: 55271
- 1.80.0 final
- use proper configure macro
- better description and summary
- clean .spec
- do not call update_icon_cache for non-existing theme locolor


* Wed Apr 04 2007 Laurent Montel <lmontel@mandriva.com> 1.80.0-0.beta2.1mdv2007.1
+ Revision: 150492
- 1.80.0-beta2
- Import krusader

* Tue Sep 05 2006 Anssi Hannula <anssi@mandriva.org> 3:1.70.1-1mdv2007.0
- 1.70.1
- add missing clean_desktop_database
- fix icons and legacy menu
- drop cleaning buildroot in prep section

* Mon Jul 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.70.0-6mdv2007.0
- Rebuild for new menu and extensions
- Use macros for icons

* Mon May 22 2006 Laurent MONTEL <lmontel@mandriva.com> 1.70.0-5
- Rebuild

* Thu May 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.70.0-4mdk
- Remove redundant BuildRequires

* Wed May 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3:1.70.0-3mdk
- Fix BuildRequires

* Tue May 09 2006 Laurent MONTEL <lmontel@mandriva.com> 1.70.0-2
- Rebuild to generate category

* Mon Feb 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.70.0-1mdk
- 1.70

* Wed Dec 14 2005 Laurent MONTEL <lmontel@mandriva.com> 1.70.0-beta2.2
- Use patch from Anssi Hannula <anssi.hannula@gmail.com> to fixing build
on x86_64 and use mkrel

* Sun Nov 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.70.0-beta2.1mdk
- beta2

* Sat Oct 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.70.0-beta1.5mdk
- Add BuildRequires

* Sat Oct 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.70.0-beta1.4mdk
- Fix conflict

* Thu Oct 20 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.70.0-beta1.3mdk
- Fix conflict

* Tue Oct 18 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.70.0-beta1.2mdk
- Fix BuildRequires

* Tue Oct 18 2005 Laurent MONTEL <lmontel@mandriva.com> 1.70.0-beta1.1mdk
- 1.70.beta1

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 1.60.0-2mdk
- Fix x64 build fix bug #15728

* Tue Apr 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.60.0-1mdk
- 1.60.0

* Tue Mar 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.60-0.beta2.1mdk
- 1.60 beta2

* Fri Mar 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.60-0.beta1.1mdk
- 1.60 beta1

* Wed Dec 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.51-1mdk
- 1.51

* Tue Nov 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.50-2mdk
- Add patch3: fix potential crash

* Mon Nov 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.50-1mdk
- 1.50

* Fri Jul 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.40-1mdk
- 1.40

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.40-0.beta2.1mdk
- beta2

* Mon Jun 07 2004 Angelo Naselli <random_lx@yahoo.com> 1.40-0.beta1.4mdk
- Fix icon position

* Sat Jun 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.40-0.beta1.3mdk
- Rebuild

* Thu May 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.40-0.beta1.2mdk
- Update description (patch give by frank_schoolmeesters@fastmail.fm)

* Thu Apr 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.40-0.beta1.1mdk
- 1.40beta1

